ALAS2-2019-1197


Amazon Linux 2 Security Advisory: ALAS-2019-1197
Advisory Release Date: 2019-04-26 01:30 Pacific
Severity: Low
References: CVE-2018-17189 

Issue Overview:

In Apache HTTP server versions 2.4.37 and prior, by sending request bodies in a slow loris way to plain resources, the h2 stream for that request unnecessarily occupied a server thread cleaning up that incoming data. This affects only HTTP/2 (mod_http2) connections.(CVE-2018-17189 )


Affected Packages:

mod_http2


Issue Correction:
Run yum update mod_http2 to update your system.

New Packages:
aarch64:
    mod_http2-1.14.1-1.amzn2.aarch64
    mod_http2-debuginfo-1.14.1-1.amzn2.aarch64

i686:
    mod_http2-1.14.1-1.amzn2.i686
    mod_http2-debuginfo-1.14.1-1.amzn2.i686

src:
    mod_http2-1.14.1-1.amzn2.src

x86_64:
    mod_http2-1.14.1-1.amzn2.x86_64
    mod_http2-debuginfo-1.14.1-1.amzn2.x86_64